
/*
======================================================================
=----------------------------DESCRIPTION-----------------------------=
======================================================================
*/

section#description {
    align-items: center;
    justify-content: center;
    justify-items: center;
}

section#description ul {
}

section#description ul li {
    display: flex;
    align-items: flex-start;
    margin-bottom: 1em;
}

section#description ul li {
    display: list-item;
}


/*
======================================================================
=----------------------------PARTNERS--------------------------------=
======================================================================
*/

section#partners {
    width: 100%;
    left: 0;
    align-items: center;
    justify-content: center;
    text-align: center;
}

section#partners div.partners-wrapper {
    display: flex;
    position: relative;
    height: 300px;
    width: 100%;
    box-shadow: 0px 4px 12px inset #afafaff0;
    z-index: 1;
    background-color: #fafafa;
    overflow: hidden;
}

section#partners div.partners-wrapper div.partners-wrapper-primary, 
section#partners div.partners-wrapper div.partners-wrapper-secondary, 
section#partners div.partners-wrapper div.partners-wrapper-terciary {
    left: 100%;
    height: 100%;
    overflow: hidden;
    position: absolute;
    display: flex;
    animation: infiniteScroll 15s linear infinite;
    justify-content: space-around;
    gap: 40px;
    white-space: nowrap;
    padding: 0 20px;
}

section#partners div.partners-wrapper div.partners-wrapper-secondary {
    animation-delay: 5s;
}
section#partners div.partners-wrapper div.partners-wrapper-terciary {
    animation-delay: 10s;
}

section#partners div.partner-container {
    position: relative;
    width: 200px;
    padding: 50px;
    min-height: 150px;
    border-radius: 25px;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center; 
    box-shadow: 0 8px 20px #afafaf80;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    overflow: visible;
    margin: auto 0;
    text-align: center; 
}

section#partners div.partner-container:hover {
    transform: translateY(-6px);
    box-shadow: 0px 16px 20px #afafaff0;
}

div.partners-wrapper:hover .partners-wrapper-primary,
div.partners-wrapper:hover .partners-wrapper-secondary,
div.partners-wrapper:hover .partners-wrapper-terciary {
  animation-play-state: paused !important;
    -webkit-animation-play-state: paused;
    -moz-animation-play-state: paused;
    -o-animation-play-state: paused;
}

section#partners div.partners-wrapper img {
    max-width: 100%;
    height: auto;
}


@keyframes infiniteScroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-300%);
    }
}

section#reviews {
    width: 100%;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    box-shadow: 0px 4px 12px inset #afafaff0;
    background-color: #fafafa;
    overflow: hidden;
    position: relative;
}

.reviews-wrapper {
    position: relative;
    overflow: hidden;
    width: 100%;
    max-height: 100%;
}

.reviews-container {
    display: flex;
    transition: transform 0.5s ease;
    align-items: center;
    position: relative;
    margin: 50px;
}

.review-container {
    flex: 0 0 40%;
    margin: 0 10px;
    opacity: 0.4;
    transform: scale(0.6);
    transition: transform 0.5s, opacity 0.5s;
    text-align: center;

    cursor: pointer;
    transition: transform 0.25s ease, opacity 0.25s ease;
}

section#reviews div.reviews-container div.review-container p {
    font-size: 11pt;
    font-style: italic;
    width: 95%;
    margin: 8px auto;
}

.review-container.active {
    opacity: 1;
    transform: scale(1);
}

.review-image-container img {
    max-width: 250px;
    margin: 10px;
    max-height: 100px;
}

section#reviews div.reviews-navigators-container {
    position: absolute;
    z-index: 1;
    top: 50%;
    width: 100%;
    display: flex;
    justify-content: space-between;
    transform: translateY(-50%);
}

section#reviews div.reviews-navigators-container button {
    border: none;
    background-color: white;
    aspect-ratio: 1/1;
    width: 50px;
    max-width: 50px;
    padding: 10px;
    border-radius: 10px;
    box-shadow: 0 0 15px #afafaff0;
    cursor: pointer;
    transition: 0.15s ease all;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

section#reviews div.reviews-navigators-container button#review-previous {
    left: 25px;
}

section#reviews div.reviews-navigators-container button#review-next {
    right: 25px;
}

section#reviews div.reviews-navigators-container button:hover {
    background-color: #398C7C;
    opacity: 1;
    box-shadow: 0px 0px 4px #404040f0;
}

section#reviews div.reviews-navigators-container button:active {
    background-color: #095C4C;
    transform: scale(0.9);
}

section#reviews div.reviews-navigators-container button span {
    background-position: center;
    background-repeat: no-repeat;
    background-size: 100% 100%;
    aspect-ratio: 1/1;
    width: 100%;
    display: block;
}

section#reviews div.reviews-navigators-container button span#review-previous-icon {
    background-image: url("/assets/images/icons/left-arrow-gray.svg");
}

section#reviews div.reviews-navigators-container button span#review-next-icon {
    background-image: url("/assets/images/icons/right-arrow-gray.svg");
}

section#reviews div.reviews-navigators-container button#review-previous:hover span {
    background-image: url("/assets/images/icons/left-arrow-white.svg");
}

section#reviews div.reviews-navigators-container button#review-next:hover span {
    background-image: url("/assets/images/icons/right-arrow-white.svg");
}

@media screen and (max-width: 960px) {
    .reviews-container {
        margin: 25px;
    }
    
    .review-container {
        flex: 0 0 65%;
    }

    .review-image-container img {
        max-height: 72px;
    }

    section#reviews div.reviews-container div.review-container p {
        font-size: 9pt;
    }

    section#reviews div.reviews-navigators-container button {
        width: 10%;
    }

    section#reviews div.reviews-navigators-container button#review-previous {
        left: 5%;
    }

    section#reviews div.reviews-navigators-container button#review-next {
        right: 5%;
    }
}